Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# LineRegion Class Reference
[Handlers]

## Detailed Description

Defines region position properties.

These properties are created dynamically during text parsing and stores region's position on line and mapping of region into the RegionDefine instance.

## Public Methods
const StyledRegion * | styled ()
| Transforms this region's reference into styled region define and returns new pointer.
const TextRegion * | texted ()
| Transforms this region's reference into text region define and returns new pointer.
LineRegion & | operator= (const LineRegion &lr)
| Copy operator.
| LineRegion::LineRegion ()
| Clears all fields.
| LineRegion::LineRegion (const LineRegion &lr)
| Copy constructor.
## Data Fields
const Region * | region
| Reference to HRC region, which identifies type of this range.
RegionDefine * | rdef
| Reference to RegionDefine class (it's subclass).
int | start
| Start and End position of region in line.
int | end
| Start and End position of region in line.
const Scheme * | scheme
| Reference to region's HRC scheme.
LineRegion * | next
| Previous and next links to ranged region in this line.
LineRegion * | prev
| Previous and next links to ranged region in this line.
bool | special
| Special meaning marker.

## Member Function Documentation

LineRegion::LineRegion::LineRegion | ( | const LineRegion & | lr | ) | `[inline]`

| Copy constructor. Do not copies next and prev pointers.

## Field Documentation

RegionDefine* LineRegion::rdef

| Reference to RegionDefine class (it's subclass). This reference can contain concrete information about region extended properties. Can be null, if no region mapping were defined.

LineRegion* LineRegion::next

| Previous and next links to ranged region in this line. First region of each line contains reference to it's last region in prev field. If `next` field is null, this is a last region in line.

LineRegion * LineRegion::prev

| Previous and next links to ranged region in this line. First region of each line contains reference to it's last region in prev field. If `next` field is null, this is a last region in line.

bool LineRegion::special

| Special meaning marker. Generally this is used to inform application about paired regions, which are invisible during ordinary text drawing.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.